---
title: OES_fbo_render_mipmap
slug: Web/API/OES_fbo_render_mipmap
tags:
  - API
  - Reference
  - WebGL
  - WebGL extension
  - WebGL extensions
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code>OES_fbo_render_mipmap</code> extension is part of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> and makes it possible to attach any level of a texture to a framebuffer object.</p>

<p>WebGL extensions are available using the {{domxref("WebGLRenderingContext.getExtension()")}} method. For more information, see also <a href="/en-US/docs/Web/API/WebGL_API/Using_Extensions">Using Extensions</a> in the <a href="/en-US/docs/Web/API/WebGL_API/Tutorial">WebGL tutorial</a>.</p>

<div class="note">
<p><strong>Availability:  </strong>This extension is only available to {{domxref("WebGLRenderingContext", "WebGL 1", "", 1)}}.  <br>
 In WebGL2, the functionality of this extension is available in the WebGL 2 context by default.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>See the <a href="https://www.khronos.org/registry/webgl/extensions/OES_fbo_render_mipmap/">sample code</a> in the Khronos specification.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td><a href="https://www.khronos.org/registry/webgl/extensions/OES_fbo_render_mipmap/">OES_fbo_render_mipmap</a></td>
   <td>Draft</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.OES_fbo_render_mipmap")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getExtension()")}}</li>
</ul>
